# couchdb 服务
# mkdir -pv /data/volumes/couchdb/data && mkdir -pv /data/volumes/couchdb/etc/local.d
# cp -a ./dbSer/couchdb/etc/couchdb/local.d/local.ini /data/volumes/couchdb/etc/local.d/
# PULL:: docker compose -p couchdb --env-file ./dbSer/couchdb/env.cfg  -f dbSer/couchdb/stack.yml pull
# RUN:: docker compose -p couchdb --env-file ./dbSer/couchdb/env.cfg  -f dbSer/couchdb/stack.yml up -d

services:
  couchdb:
    image: ${IMAGE_TAG:-couchdb:3.5}
    container_name: couchdb-obsidian-livesync
    restart: unless-stopped
    ports:
      - ${COUCHDB_PORT:-5984}:5984
    volumes:
      - ${Volumes_Path:-./couchdb}/etc/local.d:/opt/couchdb/etc/local.d
      - ${Volumes_Path:-./couchdb}/data:/opt/couchdb/data
    environment:
      TZ: Asia/Shanghai
      PUID: 99
      PGID: 100
      UMASK: 0022
      COUCHDB_USER: ${COUCHDB_USER:-admin}
      COUCHDB_PASSWORD: ${COUCHDB_PASSWORD:-123456}
